Package mvpa :: Package misc :: Module cmdline

[hide private]
[frames] | no frames]

# Module cmdline

source code

Common functions and options definitions for command line

__docformat__ = 'restructuredtext'

Conventions: Every option (instance of optparse.Option) has prefix "opt". Lists of options has prefix opts (e.g. `opts.common`).

Option name should be camelbacked version of .dest for the option.

Classes | [hide private]

| Options Just a convinience placeholder for all available options
| OptionGroups Group creation is delayed until instance is requested.

Functions | [hide private]

_verboseCallback(option, optstr, value, parser) Callback for -v|--verbose cmdline option | source code

_debugCallback(option, optstr, value, parser) Callback for -d|--debug cmdline option | source code

_waveletFamilyCallback(option, optstr, value, parser) Callback for -w|--wavelet-family cmdline option | source code

Variables | [hide private]

| parser = `OptionParser(version= "%prog", add_help_option= False`...``
| opt = `Options()`
| opts = `OptionGroups(parser)`
| commonopts_list = `[opt.verbose, opt.help]`
| optDebug = `Option("-d", "--debug", action= "callback", callbac`...``

Imports: mvpa, OptionParser, Option, OptionGroup, OptionConflictError, verbose, externals, copy, debug, pywt

Variables Details | [hide private]

### parser

Value:

      OptionParser(version= "%prog", add_help_option= False, conflict_handle
      r= "error")

### optDebug

Value:

      Option("-d", "--debug", action= "callback", callback= _debugCallback,
      nargs= 1, type= "string", dest= "debug", default= "", help= "Debug ent
      ries to report. "+ "Run with '-d list' to get a list of "+ "registered
       entries")